package io.renren.modules.app.service;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.service.IService;
import com.github.pagehelper.PageInfo;
import io.renren.modules.app.entity.CbwdEntity;
import io.renren.modules.app.entity.XlkEntity;

/**
 * 承办网点信息
 *
 * @author ly
 * @email 1271428398@qq.com
 * @date 2019-03-22 16:36:52
 */
public interface XlkService extends IService<XlkEntity> {
	
	List<XlkEntity> selectxlk(Map<String, String> map);
	
	/**
	 * 分户明细账页面下拉框
	 */
	List<XlkEntity> selectFHMXxlk(Map<String, String> map);
	
	/**
	 * 分户明细账页面下拉框
	 */
	List<XlkEntity> selectDYMXxlk(Map<String, String> map);
	
	/**
	 * 开发单位下拉框
	 */
	List<XlkEntity> selectKFDWxlk(Map<String, String> map);
	
	/**
	 * 综合明细账页面下拉框
	 * @param map
	 * @return
	 */
	List<XlkEntity> selectZHMXZxlk(Map<String, String> map);
	
	/**
	 * 楼幢信息页面下拉框
	 * @param map
	 * @return
	 */
	List<XlkEntity> selectzhxxxlk(Map<String, String> map);
}
